#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cerr.tie(0);

    int64_t n, k;
    cin >> n >> k;

    vector<int64_t> m(2 * n + 1, 0);
    vector<int64_t> v;

    for(auto i = 0; i < n; i++)
    {
        int64_t t;
        cin >> t;
        m[t + n]++;
        if(m[t + n] == k)
            v.push_back(t);
    }

    cout << v.size() << '\n';
    for(auto i = 0; i < v.size(); i++)
        cout << v[i] << ((i < v.size() - 1) ? ' ' : '\n');

    cout.flush();
    return 0;
}